Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.ui.panels
Class ExtendedCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              threeD.ui.panels.ExtendedCellEditor

All Implemented Interfaces:
  javax.swing.CellEditor, DynamicDisplay, java.io.Serializable, javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

public class ExtendedCellEditor
extends javax.swing.DefaultCellEditor
implements javax.swing.table.TableCellEditor, DynamicDisplay

An ExtendedCellEditor object can be used to allow a user to edit values in a table including instances of RGB and Vector.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ExtendedCellEditor()` Constructs a new ExtendedCellEditor object.

Method Summary
`java.lang.Object` | `getCellEditorValue()`
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`
`void` | `updateDisplay()` Signals the completion of the editing operation.

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### ExtendedCellEditor

    public ExtendedCellEditor()

  Constructs a new ExtendedCellEditor object.

Method Detail

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`
  Returns:
    The value stored by this ExtendedCellEditor object.

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
  Returns:
    A Component for editing the specifed value.

### updateDisplay

    public void updateDisplay()

  Signals the completion of the editing operation.

  Specified by:
    `updateDisplay` in interface `DynamicDisplay`
  See Also:
    `AbstractCellEditor.fireEditingStopped()`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray